Next Previous Contents

## 3.183 tgi_init

> Function

>   Initialize the already loaded graphics driver.

> Header

>   `tgi.h`

> Declaration

>   `void __fastcall__ tgi_init (void);`

> Description

>   The tgi_init function will set the default palette to the hardware and clear the screen.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   Other tgi functions.

> Example

>       extern char lynxtgi[]; //Include the driver statically instead of loading it.
>       tgi_install(&lynxtgi);
>       tgi_init(); //Set up the default palette and clear the screen.

Next Previous Contents